Eclipse Platform Release 3.7

## org.eclipse.core.commands.common
Class EventManager

    java.lang.Object
      org.eclipse.core.commands.common.EventManager

Direct Known Subclasses:
  AbstractAction, AbstractHandler, BaseLabelProvider, ColorSelector, FrameList, HandleObject, HandleObjectManager, IntroPart, PreferenceStore, PropertySheetEntry, ResourceRegistry, ScopedPreferenceStore, State, SubActionBars, WorkbenchPart

    public abstract class EventManager

extends Object

A manager to which listeners can be attached. This handles the management of a list of listeners -- optimizing memory and performance. All the methods on this class are guaranteed to be thread-safe.

Clients may extend.

Since:
  3.2

Constructor Summary
`EventManager()`

Method Summary
`protected void` `addListenerObject(Object listener)` Adds a listener to this manager that will be notified when this manager's state changes.
`protected void` `clearListeners()` Clears all of the listeners from the listener list.
`protected Object[]` `getListeners()` Returns the listeners attached to this event manager.
`protected boolean` `isListenerAttached()` Whether one or more listeners are attached to the manager.
`protected void` `removeListenerObject(Object listener)` Removes a listener from this manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventManager

    public EventManager()

Method Detail

### addListenerObject

    protected final void addListenerObject(Object listener)

  Adds a listener to this manager that will be notified when this manager's state changes.

  Parameters:
    `listener` - The listener to be added; must not be `null`.

### clearListeners

    protected final void clearListeners()

  Clears all of the listeners from the listener list.

### getListeners

    protected final Object[] getListeners()

  Returns the listeners attached to this event manager.

  Returns:
    The listeners currently attached; may be empty, but never `null`

### isListenerAttached

    protected final boolean isListenerAttached()

  Whether one or more listeners are attached to the manager.

  Returns:
    `true` if listeners are attached to the manager; `false` otherwise.

### removeListenerObject

    protected final void removeListenerObject(Object listener)

  Removes a listener from this manager.

  Parameters:
    `listener` - The listener to be removed; must not be `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.